Check which deployment objects need to be uploaded.
Beta API
The /v1 API contract may change, including breaking changes without compatibility aliases.
/v1/apps/{appId}/deployments/objectsRequires the same app management permissions as deployment uploads. Provide SHA-256 hashes and byte sizes in objects to receive the digests of objects missing from the app in missing. The entire request is limited to 100,000 objects, counting both files and compressed variants. Does not create a deployment. Only users with a verified email can use this.
Authorization
bearerAuth Use an access token obtained by logging in or exchanging an API token. First exchange an ntro_ API token for an access token through the login server.
In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/apps/string/deployments/objects" \ -H "Content-Type: application/json" \ -d '{ "objects": [ { "sha256": "string", "size": 0 } ] }'{ "missing": [ "string" ]}